Subject: RE: sudo and runas
From: "Chris January" <[email-masked]>
To: "jon ewing" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 10 Mar 2003 00:05:27 -0000

> > > Hello,
> > >
> > > Under XP (and maybe other Windows?) there's a command, runas, which
> > > when used from cmd.exe or the Run dialog, can run applications as
> > > another
> > > user:
> > >
> > > C:\Cygwin>runas /user:Administrator C:\Cygwin\setup.exe
> > > Enter the password for Administrator:
> > >
> > > allows me to run Cygwin's setup as Administrator when
> > logged in as any
> > > user.
> > >
> > > I was thinking of writing a sudo-type script using runas,
> > but for some
> > > reason can't get it to work at all under Cygwin - I tried
> > running it
> > > from Bash, cygstart-ing it, cmd.exe /C -ing it, but none of
> > these seem
> > > to work.
> > >
> > > Anyone else tried doing this?
> >
> > Is this any use?
> >
> > http://www.doc.ic.ac.uk/~ccj00/twiki/bin/view/Cygwin/CygwinSu
> >
> > Chris
>
> jon@shuttle (.../jon/tmp) % su root
> Password:
> su: cannot run /bin/bash: Permission denied
Make sure /bin/bash is world executable.

> (I've renamed 'Administrator' as 'root' in /etc/passwd)
>
> jon@shuttle (/home/jon) % su dba
> Password:
> su: cannot set user id: Permission denied
Doesn't seem to be authenticating properly here. Are you sure dba has
network logon priveleges?

Chris

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/